[Catalog-sig] Some pypi mirrors not up to date?

Tarek Ziadé ziade.tarek at gmail.com
Mon May 2 19:32:27 CEST 2011


On Mon, May 2, 2011 at 6:16 PM, Tarek Ziadé <ziade.tarek at gmail.com> wrote:
> On Mon, May 2, 2011 at 6:12 PM, Maurits van Rees
> <m.van.rees at zestsoftware.nl> wrote:
>> Hi,
>>
>> I noticed that some distributions are not on all mirrors.  For example
>> http://a.pypi.python.org/simple/plone.app.referenceablebehavior/
>> has 0.1 and 0.2 (last one released 30 April)
>> but 0.2 is missing from
>> http://b.pypi.python.org/simple/plone.app.referenceablebehavior/
>>
>> Same for c and d.  Ah, no: those two have it now.  I know for sure that at
>> least d did not have it five minutes ago.  And this version has been
>> released two days ago, so it should have been slightly faster. :-)
>>
>> Same is true for example for plone.dexterity: also missing on only
>> b.pypi.python.org currently.
>>
>> Any idea what could be amiss?
>
> This mirror is not up-to-date according to its last modified date:
>
> http://b.pypi.python.org/last-modified

on a side note, clients should warn when mirrors are outdated like this.

Not sure about the UX but a > 1 month old mirror should be blacklisted
from the client-side


-- 
Tarek Ziadé | http://ziade.org


More information about the Catalog-SIG mailing list